Package org.apache.bcel.verifier.exc

# Class LocalVariableInfoInconsistentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.bcel.verifier.exc.VerifierConstraintViolatedException
org.apache.bcel.verifier.exc.VerificationException
org.apache.bcel.verifier.exc.ClassConstraintException
org.apache.bcel.verifier.exc.LocalVariableInfoInconsistentException

All Implemented Interfaces:
  `Serializable`

public class LocalVariableInfoInconsistentException extends ClassConstraintException
A LocalVariableInfoInconsistentException instance is thrown by the LocalVariableInfo class when it detects that the information it holds is inconsistent; this is normally due to inconsistent LocalVariableTable entries in the Code attribute of a certain Method object.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalVariableInfoInconsistentException()`
  Constructs a new LocalVariableInfoInconsistentException with null as its error message string.
  `LocalVariableInfoInconsistentException(String message)`
  Constructs a new LocalVariableInfoInconsistentException with the specified error message.

- ## Method Summary

  ### Methods inherited from class org.apache.bcel.verifier.exc.VerifierConstraintViolatedException

  `extendMessage, getMessage`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LocalVariableInfoInconsistentException

    public LocalVariableInfoInconsistentException()
    Constructs a new LocalVariableInfoInconsistentException with null as its error message string.

  - ### LocalVariableInfoInconsistentException

    public LocalVariableInfoInconsistentException(String message)
    Constructs a new LocalVariableInfoInconsistentException with the specified error message.